<template>
    <Link class="header__logo noMobile" href="/">GAME MARKET</Link>
    <img class="header__logo mobile dark" src="/img/logo.svg" alt="">
    <img class="header__logo mobile white" src="/img/logoDark.svg" alt="">
    <ul class="header__list noMobile">
        <li class="header__item"
            :class="{ 'selected': $page.url === '/' }"
        >
            <a
                class="header__link"
                href="#"
                @click.prevent="openMenuGame = !openMenuGame">
                Игры
                <svg width="10" height="6" viewbox="0 0 10 6" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M1 1L5 5L9 1" stroke="#FF8231" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg>

                <div class="marketBottom__market2-menu" :class="{'active': openMenuGame}">
                    <Link :href="game.url"
                          v-for="game in $page.props.games.data"
                          class="marketBottom__market2-select js-open-modal">
                        {{ game.name }}
                    </Link>
                </div>
            </a>
        </li>
        <li class="header__item ">
            <Link class="header__link" :href="route('posts.index')">Новости</Link>
        </li>
        <li class="header__item">
            <Link class="header__link" :href="route('info')">Информация</Link>
        </li>
    </ul>
</template>

<script setup>
import {Link} from "@inertiajs/vue3";
import {ref} from 'vue';
let openMenuGame = ref(false);

</script>
